Subject: Re: PSI88: rpsi2 if, Indigo2

From: [email-masked] (Dawn Friedman)
Date: Sat, 15 Apr 95 09:40:13 -0400

I'm sorry to have to take this to the list at large, but
I need advice *fast*, and it's hard to catch people on a weekend.

  The problem is running PSI88 on an SGI Indigo**2.  The OS is
IRIX.  The difficulty is with an if statement in the
shell script rpsi2, which I took directly from the UNIX version
of psi88.tar.Z.   
  
  I did, finally, get the compiler flags straightened out.
My current problem is not in PSI2, which now compiles without error,
but in the shell script rpsi2.  It runs fine on my SUN 386i,
but on the Indigo**2 it produces the csh error message:

if:  Malformed file inquiry

I've been over all the if statements, and I don't see where there
should be a problem with any of them.  But the one it seems to
object to (after a run with verbose) is the if ($argv[1] == '-pk')
statement.  It knows what $argv[1] is, because I made it
echo; it even verboses the helpful comment:
  
-pk == -pk
and then the error message!
  
  I've just spent five hours fighting through man pages and online
"help", and nowhere can I find a description of error messages for
csh commands like 'if'.
  
  Has anyone run into this before?

  Is anyone here sufficiently familiar with shell scripts to
tell me what the heck a Malformed file inquiry is?  I understand
'file inquiry', sort of, but what would make one 'Malformed'?
  
  Can anyone at least tell me where to find descriptions of
  error messages for csh commands?  Or if I should be taking the
  T over to the MIT Coop to find a csh book?

 Many thanks,
 Dawn Friedman
 [email-masked]